<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
  <title>פגישה 3 - פייתון, משתנים ולולאות "כל עוד"</title>
 
  <meta http-equiv="content-type"
 content="text/html; charset=UTF-8">
 
  <link href="lec.css" rel="stylesheet" type="text/css">
<link rel="contents" href="index.html"><link rel="top" href="index.html"><link rel="start" href="node1.html"><link rel="first" href="node1.html"><link rel="next" href="node5.html#h"><link rel="prev" href="node3.html#h">
</head>
<body>  
<div class="version">גרסה 1.2</div>
<h1>פגישה 3 - פייתון, משתנים ולולאות "כל עוד"</h1>
  <div class="nav" dir="ltr"><A HREF="index.html" NAME="h">[Top]</A> <A HREF="node1.html#h">[First]</A> <A HREF="node3.html#h">[Previous]</A> <A HREF="node5.html#h">[Next]</A></div><h2><a name="print"></a>לקראת תוכנית - הדפסה למסך</h2>
<ul>
  <li>עד עכשיו עבדנו בצורה אינטראקטיבית, ולכן פייתון הדפיס לנו כל תוצאה שהתקבלה.
כאשר הוא מריץ תכנית הוא לא עושה זאת אלא אם כן אומרים את מילת הקסם.
  <li>הפקודה השניה שנלמד - פקודת <tt class="cmd">print</tt>: 
   משמשת להדפסת נתונים למסך. אפשר להדפיס כמה נתונים, מופרדים בפסיקים, 
   לדוגמה:
<div dir=ltr><pre>
&gt;&gt;&gt; print 1, 2+7, 3.5
1 9 3.5
</pre></div>
  <li>כל הדפסה תתבצע בשורה נפרדת, אלא אם כן פקודת ההדפסה מסתיימת בפסיק, ואז ההדפסה
הבאה תצורף לאותה שורה:
<div dir=ltr><pre>
&gt;&gt;&gt; print 4 ; print 5
4
5
&gt;&gt;&gt; print 4, ; print 5
4 5
</pre></div>
(הסימן ';' (נקודה פסיק) מפריד בין שתי פקודות פייתון שנכתבו בשורה אחת).
</li>
  <li>כדי להריץ את הקובץ שלנו כתכנית "רגילה", נצא לשורת הפקודה ונכתוב 
  <tt class="cmd" dir=ltr>python &lt;filename&gt;</tt>.
</ul>

                   
<address><a href="http://validator.w3.org/check/referer"><img
 src="http://www.w3.org/Icons/valid-html401" alt="Valid HTML 4.01!"
 height="31" width="88">
 </a>נכתב על ידי <a href="mailto:aronovitch@gmail.com">עמית אהרונוביץ</a><br>
          </address>
                   
</body>
</html>
